/*****************************************************************************
 * $Id:: cr_dsplib.h 3698 2010-06-10 23:29:17Z nxp27266                $
 *
 * Project: NXP LPC1000 Cortex-M3 family DSP library
 *
 * Description: Definition of DSP Library API
 *
 * Copyright(C) 2010, NXP Semiconductor
 * All rights reserved.
 *
 * Developed for NXP by Code Red Technologies Inc. www.code-red-tech.com
 *
 * Trimmed down and modified by Gonzalo Brusco.
 *
 *****************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef CR_DSPLIB_H_
#define CR_DSPLIB_H_

typedef struct
{
    int *pi_Coeff;
    int NTaps;
}tS_blockfir32_Coeff;

extern "C" void vF_dspl_blockfir32(int *pi_y, int *pi_x, tS_blockfir32_Coeff *pS_Coeff, int i_nsamples);

#endif /*CR_DSPLIB_H_*/

/*****************************************************************************
 **                            End Of File
 *****************************************************************************/
